AUTOCONF(1)

NAME
autoconf - creates scripts to configure source code packages using templates

SYNOPSIS
autoconf [ --help | -h ] [ --version | -V ] [ --verbose | -v ] [ --debug | -d ] [ --autoconf-dir=dir | -A dir ] [ --localdir=dir | -l dir ] [ --output=file | -o file ] [ --warnings=category | -W category ] [ --trace=macro[:format] | -t macro[:format] ] [ --initialization | -i ]

DESCRIPTION

To create configure from configure.in, run the autoconf program with no arguments. autoconf processes configure.ac with the m4 macro processor, using the Autoconf macros. If you give autoconf an argument, it reads that file instead of configure.ac and writes the configuration script to the standard output instead of to configure. If you give autoconf the argument -, it reads the standard input instead of configure.ac and writes the configuration script on the standard output.

The Autoconf macros are defined in several files. Some of the files are distributed with Autoconf; autoconf reads them first. Then it looks for the optional file acsite.m4 in the directory that contains the distributed Autoconf macro files, and for the optional file aclocal.m4 in the current directory. Those files can contain your site's or the package's own Autoconf macro definitions. If a macro is defined in more than one of the files that autoconf reads, the last definition it reads overrides the earlier ones.

autoconf accepts the following options:

--help

-h  Print a summary of the command line options and exit.

--version

-V  Print the version number of Autoconf and exit.

--verbose

-v  Report processing steps.

--debug

-d  Don't remove the temporary files.

--autoconf-dir=dir

-A dir
    Look for the installed macro files in directory dir. You can also set the AC_MACRODIR environment variable to a directory; this option overrides the environment variable.

--localdir=dir

-l dir
    Look for the package file aclocal.m4 in directory dir instead of in the current directory.

--output=file

-o file
    Save output (script or trace) to file. The file - stands for the standard output.

--warnings=category

-W category
    Report the warnings related to category (which can actually be a comma separated list). Special values for category include all to report all warnings, none to report no warnings, and error to treat warnings as errors. See the Texinfo documentation for a list of categories and additional information.

--trace=macro[:format]

-t macro[:format]
    Do not create the configure script, but list the calls to macro according to the Iformat. Multiple --trace arguments can be used to list several macros. Multiple --trace arguments for a single macro are not cumulative; instead, you should just make format as long as needed.

The format is a regular string, with newlines if desired, and several special escape codes. It defaults to $f:$l:$n:$%; see the Texinfo documentation for details.

--initialization

-i  By default, --trace does not trace the initialization of the Autoconf macros (typically the AC_DEFUN definitions). This results in a noticeable speedup, but can be disabled by this option.

SEE ALSO
autoheader(1), autoreconf(1), autoscan(1), autoupdate(1), ifnames(1)

AUTHORS
David MacKenzie, with help from Franc,ois Pinard, Karl Berry, Richard Pixley, Ian Lance Taylor, Roland McGrath, Noah Friedman, David D. Zuhn, and many others. This manpage written by Ben Pfaff <pfaffben@debian.org> for the Debian GNU/Linux autoconf package.